#!/bin/sh

#
# Sets manual IP configuration, kills udhcpc if necessary
#

[ -z "$1" ] && echo "Error: IP missing" && exit 1
[ -z "$2" ] && echo "Error: netmask missing" && exit 1
[ -z "$3" ] && echo "Error: default gateway missing" && exit 1

killall udhcpc

ifconfig eth0 $1 netmask $2
route add default gw $3

